Bug 500810 - ecryptfs-insert-wrapped-passphrase-into-keyring fails to add passphrase to keyring if the passphrase is in the keyring already
ecryptfs-insert-wrapped-passphrase-into-keyring fails to add passphrase to ke...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 06:23 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sent upstream (877 bytes, patch)
2009-05-18 04:43 EDT, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-05-14 06:23:50 EDT
Description of problem:

[root@hp-ml370g4-01 ~]# printf "%s\n%s" "towrap" "pass" | ecryptfs-wrap-passphrase passfile -


[root@hp-ml370g4-01 ~]# printf "%s" "pass" | ecryptfs-insert-wrapped-passphrase-into-keyring passfile -

Inserted auth tok with sig [decea574f22a106c] into the user session keyring
[root@hp-ml370g4-01 ~]# printf "%s" "pass" | ecryptfs-insert-wrapped-passphrase-into-keyring passfile -

Error: Unwrapping passphrase and inserting into the user session keyring failed [1]
Info: Check the system log for more information from libecryptfs

LOG:

ecryptfsMay 14 06:17:28 hp-ml370g4-01 ecryptfs-insert-wrapped-passphrase-into-keyring: Error attempting to add passphrase key to user session keyring; rc = [1] 

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5

How reproducible:

always

Expected results:

ecryptfs-insert-wrapped-passphrase-into-keyring is silently ignoring attempt to add passphrase to keyring which exists in keyring already.

Additional info:

Fixed in upstream.
Comment 1 Michal Hlavinka 2009-05-18 04:43:51 EDT
Created attachment 344396 [details]
sent upstream
Comment 7 errata-xmlrpc 2009-09-02 05:57:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.